# Uses of Class
org.apache.lucene.search.vectorhighlight.FieldQuery

Packages that use FieldQuery
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of FieldQuery in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight that return FieldQuery
  Modifier and Type
  Method
  Description
  `FieldQuery`
  FastVectorHighlighter.`getFieldQuery(Query query)`
  create a `FieldQuery` object.
  `FieldQuery`
  FastVectorHighlighter.`getFieldQuery(Query query, IndexReader reader)`
  create a `FieldQuery` object.
  Methods in org.apache.lucene.search.vectorhighlight with parameters of type FieldQuery
  Modifier and Type
  Method
  Description
  `final String`
  FastVectorHighlighter.`getBestFragment(FieldQuery fieldQuery, IndexReader reader, int docId, String fieldName, int fragCharSize)`
  return the best fragment.
  `final String`
  FastVectorHighlighter.`getBestFragment(FieldQuery fieldQuery, IndexReader reader, int docId, String fieldName, int fragCharSize, FragListBuilder fragListBuilder, FragmentsBuilder fragmentsBuilder, String[] preTags, String[] postTags, Encoder encoder)`
  return the best fragment.
  `final String[]`
  FastVectorHighlighter.`getBestFragments(FieldQuery fieldQuery, IndexReader reader, int docId, String fieldName, int fragCharSize, int maxNumFragments)`
  return the best fragments.
  `final String[]`
  FastVectorHighlighter.`getBestFragments(FieldQuery fieldQuery, IndexReader reader, int docId, String fieldName, int fragCharSize, int maxNumFragments, FragListBuilder fragListBuilder, FragmentsBuilder fragmentsBuilder, String[] preTags, String[] postTags, Encoder encoder)`
  return the best fragments.
  `final String[]`
  FastVectorHighlighter.`getBestFragments(FieldQuery fieldQuery, IndexReader reader, int docId, String storedField, Set<String> matchedFields, int fragCharSize, int maxNumFragments, FragListBuilder fragListBuilder, FragmentsBuilder fragmentsBuilder, String[] preTags, String[] postTags, Encoder encoder)`
  Return the best fragments.
  Constructors in org.apache.lucene.search.vectorhighlight with parameters of type FieldQuery
  Modifier
  Constructor
  Description
  ``
  `FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery)`
  create a FieldPhraseList that has no limit on the number of phrases to analyze
  ``
  `FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery, int phraseLimit)`
  a constructor.
  ``
  `FieldTermStack(IndexReader reader, int docId, String fieldName, FieldQuery fieldQuery)`
  a constructor.
  ``
  `QueryPhraseMap(FieldQuery fieldQuery)`